package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.CrmDeviceRepair;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.service.vo.*;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 * 设备报修记录表 服务类
 * </p>
 *
 * @author han
 * @since 2023-09-06
 */
public interface CrmDeviceRepairService extends CrudService<CrmDeviceRepair> {

    void add(CrmDeviceRepair crmDeviceRepair);

    CommonPage<CrmDeviceRepair> page(CrmDeviceRepairVO crmDeviceRepairVO);

    List<CrmDeviceRepairStatisticVO> statistic(CrmDeviceRepairVO crmDeviceRepairVO);

    List<CrmDeviceRepairAddVO> getAddHistoryInfo(String projectName);

    void remove(Integer id);

    void fill(CrmDeviceRepair crmDeviceRepair);

    void score(CrmDeviceRepairScoreVO scoreVO);

    void phoneVerify(PhoneVerifyVO phoneVerifyVO);

    CommonPage<CrmDeviceRepair> getHistory(PhoneVerifyVO phoneVerifyVO);
}
